<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E191=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@E2A1=9A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@E2A9=00</action>
    </script>
  </cheat>

  <cheat desc="Select Stage">
    <parameter min="1" max="6" step="1"/>
    <script state="run">
      <action>maincpu.pb@E2A0=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Stage (Only Display)">
    <parameter min="1" max="6" step="1"/>
    <script state="run">
      <action>maincpu.pb@E29E=(param)</action>
    </script>
  </cheat>

  <cheat desc="Finish Stage 1 Soon!">
    <script state="on">
      <action>maincpu.pb@E2B9=1A</action>
    </script>
  </cheat>

  <cheat desc="Boss Appears Soon! (Stage 2)">
    <script state="run">
      <action>maincpu.pb@E2BA=14</action>
    </script>
  </cheat>

  <cheat desc="Always Hit Ratio = 100%"> <comment>Enable to get Perfect Bonus</comment>
    <script state="run">
      <action>maincpu.pw@E2AC=0001</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@E3A9=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
